/*
 * Copyright (c) 2026, Chloe M., et al
 * Provided under the BSD-3 clause.
 *
 * Description:  Obtain length of string
 * Author:       Chloe M.
 */

#include <ptdef.h>
#include <string.h>

USIZE
RtlStrLen(const CHAR *String)
{
    USIZE Length = 0;

    if (String == NULL) {
        return 0;
    }

    while (String[Length++] != '\0');
    return Length;
}
